Upgrade 2.4.0 -> 2.4.1 a whole mess… vlan + pppoe and MTU Mismatch at its bes



  • Hi,

    after upgrading 2.4.0 -> 2.4.1 several things does not work any more…

    1.) the already known pppoe + VLAN Issue
    2.) my GIF Tunnel to hurricane electrics has some very strange mtu problem which I didn't  find out whats the cause (its up, but not usable due to retransmissions)
    3.) my 20 configured vlans have the same "weired" mtu problem which results in stalled connections (even ssh) if it is routed through pfsense...

    Everything together: I wish I could roll back to 2.4.0 but that should not be possible without a full restore + config reload,  or is it?

    Since 10 years of using pfsense, the first  total breakdown... :-(

    Cheers,

    4920441



  • A full install plus config restore is about 10 minutes…  depending on your machine.

    BTW - My hurricane electric and vlans are fine after the upgrade.  What is your machine?



  • @kejianshi:

    A full install plus config restore is about 10 minutes…  depending on your machine.

    BTW - My hurricane electric and vlans are fine after the upgrade.  What is your machine?

    Its a Fujitu Futron S550

    I think the strange mtu mismatch was due to my workaround letting the VDSL modem add the vlan tagging… seems broken though...

    After editing the update path to development and letting the box add the vlan tag again, all other mtu mismatches disappeared as well. Why? Don't know... with 2.4.2 testing its gone, so I am good.

    Cheers,

    4920441



  • @kejianshi:

    A full install plus config restore is about 10 minutes…  depending on your machine.

    BTW: No, it's not… If the machine is build in a datacenter where you don't have physical access, its a real pain in the a$$....



  • Yeah - Its nice to be able to put hands on it or have someone handy who will do it for you.

    Years ago, you could downgrade with the same update gui you used to upgrade.  Later they improved things, so that doesn't work anymore.

    I suspect they could make it possible if they wanted.


Log in to reply